import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/core/viewModel/project_view_model.dart';
import 'package:doctor_app_flutter/widgets/shared/rounded_container_widget.dart';
import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';
import 'package:provider/provider.dart';

/*
 *@author: Amjad Amireh Modify for new design created by Mohammad Aljammal
 *@Date:Modify date 21/5/2020 Original date 27/4/2020
 *@param: Widget
 *@return:
 *@desc: Card With Bg Widget
 */

class CardWithBgWidgetNew extends StatelessWidget {
  final Widget widget;

  CardWithBgWidgetNew({@required this.widget});

  @override
  Widget build(BuildContext context) {
    return Container(
      //margin: EdgeInsets.symmetric(vertical: 10.0),
      margin: EdgeInsets.symmetric(vertical: 10.0),
      width: double.infinity,
      decoration: BoxDecoration(
          borderRadius: BorderRadius.all(
            Radius.circular(10.0),
          ),
        ),
      child: Material(
        borderRadius: BorderRadius.all(Radius.circular(10.0)),
        color: HexColor('#FFFFFF'),
        child: Stack(
          children: [
            Center(
              child: Container(

                 // padding:EdgeInsets.fromLTRB(0, 10,0, 10), //EdgeInsets.all(10.0),//10
                 // margin: EdgeInsets.only(left: 10),
                  child: Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Center(child: widget),
                  )),
            )
          ],
        ),
      ),
    );
  }


}
